jmarkov.basic

## Class Transition<S extends State>

- java.lang.Object
- - jmarkov.basic.Transition<S>

- Type Parameters:
    `S` - State Class
  All Implemented Interfaces:
    JMarkovElement

      public final class Transition<S extends State>
      extends java.lang.Object
      implements JMarkovElement

  This class represent a transition to a given state. It has an associated rate and state.
  Author:
    German Riano. Universidad de los Andes. (C) 2006

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Transition(S state, double rate)` Basic constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `description()` This method return a complete verbal describtion of this element.
    `double` | `getRate()` Returns the rate.
    `S` | `getState()` Returns the state.
    `java.lang.String` | `label()` This method returns a short String used in the user interface to describe this element.
    `java.lang.String` | `toString()` This method returns a short String used in the user interface to describe this element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jmarkov.basic.JMarkovElement

      `equals`

- - ### Constructor Detail

    - #### Transition

          public Transition(S state,
                    double rate)

      Basic constructor.
      Parameters:
        `state` -
        `rate` -

  - ### Method Detail

    - #### label

          public java.lang.String label()

      Description copied from interface: `JMarkovElement`
      This method returns a short String used in the user interface to describe this element.
      Specified by:
        `label` in interface `JMarkovElement`
      Returns:
        A String label.
      See Also:
        `JMarkovElement.description()`

    - #### description

          public java.lang.String description()

      Description copied from interface: `JMarkovElement`
      This method return a complete verbal describtion of this element. This description may contain multiple text rows.
      Specified by:
        `description` in interface `JMarkovElement`
      Returns:
        A String describing this element.
      See Also:
        `JMarkovElement.label()`

    - #### toString

          public final java.lang.String toString()

      Description copied from interface: `JMarkovElement`
      This method returns a short String used in the user interface to describe this element. It is highly recommended that every class calls label(), using the following code:

           public final String toString() {
               return label();
           }

      Specified by:
        `toString` in interface `JMarkovElement`
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String label.
      See Also:
        `JMarkovElement.label()`

    - #### getRate

          public final double getRate()

      Returns the rate.
      Returns:
        Returns the rate.

    - #### getState

          public final S getState()

      Returns the state.
      Returns:
        Returns the state.